Clara-Backend
  1. Agent
Clara-Backend
  • Clara-Backend
    • Get Started
    • Quickstart (Rest API)
    • Quickstart (MCP Server)
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • API Key
      • View
      • Reset
    • Transaction
      • View All
      • View
    • Task
      • View All
      • View
    • Agent
      • Supported Attachments
        GET
      • Analysis
        POST
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  • Flask Backend Boilerplate
    • Get Started
    • Quickstart
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • Transaction
      • View All
      • View
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  1. Agent

Analysis

Prod Env
https://backend.crazi.co/api/v1
Prod Env
https://backend.crazi.co/api/v1
POST
https://backend.crazi.co/api/v1
/users/{user_id}/agent/analysis
This endpoint lets a user analyze any information using Clara's agent. Minimum credits required to use this agent are 20. You can upload upto five files with the field name being the file name.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Header Params

Body Params multipart/form-data

Responses

🟢201Success
text/plain
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Resource Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request POST 'https://backend.crazi.co/api/v1/users/user_ac19b010fec5428a8ae131596731b7c8/agent/analysis' \
--header 'Authorization: Bearer <token>' \
--form 'prompt=""' \
--form 'file_name=@"/Users/crazylit.dev/Downloads/videoplayback.mp4"'
Response Response Example
400 - Empty Body
{
    "data": null,
    "message": "Request body is empty.",
    "status": "error"
}
Modified at 2025-11-29 04:24:14
Previous
Supported Attachments
Next
Stripe
Built with